#!/usr/bin/make -f

cmake: clean CMakeLists.txt # env
	cmake -P CBuildLists.txt
	cmake .
	make V=1

#env:
#	if [ -n "$(DEBUG)" ]; then export DEBUG=1; fi

cmake-debug: clean CMakeLists.txt
	cmake -P CBuildLists.txt
	cmake -D DEBUG=1 .
	make V=1

tarball: cmake
	make package

clean:
	- make clean
	rm -rf CMakeCache.txt CMakeFiles cmake_install.cmake Makefile
	rm -rf src/CMakeFiles src/cmake_install.cmake src/Makefile
	rm -rf lib/CMakeFiles lib/cmake_install.cmake lib/Makefile
	rm -rf _CPack_Packages CPackConfig.cmake CPackSourceConfig.cmake application-*.tar.gz
	rm -rf cmake_uninstall.cmake IMMEDIATE install_manifest.txt
	rm -rf Testing/ CTestTestfile.cmake
	rm -rf _CPack_Packages/ *.tar.gz src/application
	rm -rf config.h build.h src/config.h

